Subject: Re: [PATCH/RFC] Documentation/git-gc.txt: add reference to githooks

From: Chris Packham <[email-masked]>
Date: Tue, 29 Jun 2010 11:16:41 -0700

On 29/06/10 09:26, Junio C Hamano wrote:
> Chris Packham <[email-masked]> writes:
>   
>> +HOOKS
>> +-----
>> +This command can run `pre-auto-gc` hook.  See linkgit:githooks[5] for more
>> +information.
>>     
> Hmm.  "git gc --auto" does, but "git gc" doesn't, and saying "can run"
> only adds to the sense of incompleteness of the description here without
> giving useful information to the reader (iow, the user will have to check
> the referred-to page anyway).  We would need to either remove the first
> sentence (leaving only "See ... for information") or clarify the first
> sentence a bit better, I think.
>   
How about

The `git gc --auto` command will run the `pre-auto-gc` hook, if
enabled.  See linkgit:githooks[5] for more information.